## live-debconfig 4.0~a7

=== Makefile ===
# Makefile

## live-debconfig(7) - System Configuration Scripts
## Copyright (C) 2006-2012 Daniel Baumann <daniel@debian.org>
##
## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
## This is free software, and you are welcome to redistribute it
## under certain conditions; see COPYING for details.


SHELL := sh -e

LANGUAGES = $(shell cd manpages/po && ls)

SCRIPTS = bin/* scripts/*/*

all: build

test:
	@echo -n "Checking for syntax errors"

	@for SCRIPT in $(SCRIPTS); \
	do \
		if [ -x $${SCRIPT} ]; \
		then \
			sh -n $${SCRIPT}; \
			echo -n "."; \
		fi; \
	done

	@echo " done."

	@if [ -x "$$(which checkbashisms 2>/dev/null)" ]; \
	then \
		echo -n "Checking for bashisms"; \
		for SCRIPT in $(SCRIPTS); \
		do \
			if [ -x $${SCRIPT} ]; \
			then \
				checkbashisms -f -x $${SCRIPT}; \
				echo -n "."; \
			fi; \
		done; \
		echo " done."; \
	else \
		echo "W: checkbashisms - command not found"; \
		echo "I: checkbashisms can be optained from: "; \
		echo "I:   http://git.debian.org/?p=devscripts/devscripts.git"; \
		echo "I: On Debian based systems, checkbashisms can be installed with:"; \
		echo "I:   apt-get install devscripts"; \
	fi

build:
	@echo "Nothing to build."

install:
	# Installing scripts
	mkdir -p $(DESTDIR)/bin
	cp bin/* $(DESTDIR)/bin

	mkdir -p $(DESTDIR)/lib/live
	cp -r scripts/* $(DESTDIR)/lib/live

	# Installing docs
	mkdir -p $(DESTDIR)/usr/share/doc/live-debconfig
	cp -r COPYING $(DESTDIR)/usr/share/doc/live-debconfig

	# Installing manpages
	for MANPAGE in manpages/en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
		install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE}); \
	done

	for LANGUAGE in $(LANGUAGES); \
	do \
		for MANPAGE in manpages/$${LANGUAGE}/*; \
		do \
			SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$3 }')"; \
			install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
		done; \
	done

uninstall:
	# Uninstalling scripts
	rm -rf $(DESTDIR)/lib/live $(DESTDIR)/lib/live/debconfig
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/lib/live > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/lib > /dev/null 2>&1 || true

	# Uninstalling docs
	rm -rf $(DESTDIR)/usr/share/doc/live-debconfig
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/doc > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr > /dev/null 2>&1 || true

	# Uninstalling manpages
	for MANPAGE in manpages/en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
		rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE} .en.$${SECTION}).$${SECTION}; \
		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man/man$${SECTION} > /dev/null 2>&1 || true; \
		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man > /dev/null 2>&1 || true; \
		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share > /dev/null 2>&1 || true; \
		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr > /dev/null 2>&1 || true; \
		rmdir --ignore-fail-on-non-empty $(DESTDIR) > /dev/null 2>&1 || true; \
	done

	for LANGUAGE in $(LANGUAGES); \
	do \
		for MANPAGE in manpages/$${LANGUAGE}/*; \
		do \
			SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$3 }')"; \
			rm -f $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
			rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION} > /dev/null 2>&1 || true; \
			rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man/$${LANGUAGE} > /dev/null 2>&1 || true; \
			rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man > /dev/null 2>&1 || true; \
			rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share > /dev/null 2>&1 || true; \
			rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr > /dev/null 2>&1 || true; \
			rmdir --ignore-fail-on-non-empty $(DESTDIR) > /dev/null 2>&1 || true; \
		done; \
	done

clean:

distclean: clean

reinstall: uninstall install

## live-debconfig 4.0~a11

=== debian/changelog ===
live-debconfig (4.0~a11-1) unstable; urgency=low

  * Show scripts in debconf multiselect dialog alphabetically sorted.

 -- Daniel Baumann <daniel@debian.org>  Thu, 06 Dec 2012 20:32:59 +0100

live-debconfig (4.0~a10-1) unstable; urgency=low

  * Adding dpkg-source local options.
  * Tightening permissions on created debconf systemrc.
  * Restructuring live-debconfig main script.
  * Bailout early in sysvinit script if system is not using sysvinit in
    the first place.
  * Adding multiselect debconf dialog for script selection when being used
    interactively.
  * Also write script selection through command line into private debconf
    database.
  * Adding local-options for dpkg-source in live-debconfig-foobar example
    package too.

 -- Daniel Baumann <daniel@debian.org>  Thu, 06 Dec 2012 20:18:08 +0100

live-debconfig (4.0~a9-1) unstable; urgency=low

  * Adding hostname to /etc/hosts when using dhcp or no network, nost just
    when using static addresses only.
  * Add powerfail entries for lxc-shutdown in sysvinit script.

 -- Daniel Baumann <daniel@debian.org>  Mon, 26 Nov 2012 21:21:40 +0100

live-debconfig (4.0~a8-1) unstable; urgency=low

  * Updating defaults in hostname script for newer progress-linux
    versions.
  * Adding stub of an example packaging for customization purposes
    (analog to live-config).

 -- Daniel Baumann <daniel@debian.org>  Mon, 12 Nov 2012 15:49:21 +0100

live-debconfig (4.0~a7-1) unstable; urgency=low

  * Updating to standards version 3.9.4.
  * Updating package descriptions.
  * Adding support for mtu values in ifupdown script.

 -- Daniel Baumann <daniel@debian.org>  Tue, 23 Oct 2012 14:55:43 +0200

live-debconfig (4.0~a6-1) unstable; urgency=low

  * Adding support for post-up commands in ifupdown script.

 -- Daniel Baumann <daniel@debian.org>  Thu, 20 Sep 2012 14:17:58 +0200

live-debconfig (4.0~a5-1) unstable; urgency=low

  * Repeating debconf systemrc variable in all scripts to ease
    standalone testing.
  * Correcting typo when reading from unprocessed instead of processed
    inittab in sysvinit script.
  * Adding the other language translations for automatic date
    conversion.

 -- Daniel Baumann <daniel@debian.org>  Wed, 22 Aug 2012 09:55:31 +0200

live-debconfig (4.0~a4-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Harmonizing script descriptions in live-debconfig manpage.

  [ chals ]
  * Updating the Spanish translation of two strings.
  * Adding initial French translation for the current version.
  * Adding initial Catalan translation for the current version.

  [ Daniel Baumann ]
  * Harmonizing po file headers.
  * Correcting spelling typo in db_get call of the ifupdown script.
  * Correcting /etc/default/hwclock handling in util-linux script for
    cases where it was locally removed.
  * Correcting version check of util-linux in util-linux script.
  * Adding whitespace seperaters in generated resolv.conf in ifupdown
    script.
  * Only reading existing nameserver settings in ifupdown script from
    /etc/resolv.conf if the file is existing.
  * Prepeding scripts execution with custom debconf systemrc to avoid
    needing to export the variable to make it work.
  * Removing default values from debconf templates since defaults are
    derived from scripts automatically and independently.
  * Adding a workaround in ifupdown script when reading defaults for
    nameserver addresses from resolv.conf to get rid of newlines as
    debconf can not handle multiline return values in assignments.
  * Evening out whitespace seperation in ifupdown script when generating
    /etc/network/interfaces.
  * Correcting db_setttile typo in ifupdown script.
  * Correcting db_input typo in ifupdown script.
  * Also removing /var/lib/live on purge if empty.
  * Replacing /bin/true symlinks with an empty initscript to fake LSB
    headers in sysvinit script.
  * Replacing test for stop links in sysvinit script with ls to match on
    wildcards.
  * Completing insserv and update-rc.d silencing in sysvinit script.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 17 Aug 2012 16:51:10 +0200

live-debconfig (4.0~a3-1) unstable; urgency=low

  * Reworking disabling and removal of sysvinit services in a non-
    hardcoded and upgrade safe way.
  * Removing start and stop links for disabled services when reverting
    lxc changes in sysvinit script.
  * Adding util-linux script for setting hwclock options.
  * Making loopback interface in ifupdown script configurable.
  * Renaming nameserver preseedings to nameserver-addresses in
    preparation for additional nameserver preseedings.
  * Making the 'domain', 'search', and 'options' options available in
    ifupdown script.
  * Making file operations in hostname script atomic.
  * Making file operations in ifupdown script atomic.
  * Making file operations in sysvinit script atomic.
  * Making file operations in util-linux script atomic.
  * Making file operations in selinux script atomic.
  * Respecting pre-existing /etc/resolv.conf for nameserver settings in
    ifupdown script.
  * Adding some todo notes to ifupdown script.

 -- Daniel Baumann <daniel@debian.org>  Thu, 16 Aug 2012 15:43:09 +0200

live-debconfig (4.0~a2-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Adding missing space in live-debconfig/sysvinit/lxc-disable-services
    default, thanks to Jon Severinsson <jon@severinsson.net>.
  * Also adding kmod to disabled services within lxc containers in
    sysvinit script.

  [ Jon Severinsson ]
  * Remove, rather than disable, the umount* initscripts in lxc
    containers.

  [ Daniel Baumann ]
  * Explicitly listing umountfs and umountroot for remove in sysvinit
    script to be on the conservative side, instead of using 'umount*'
    pattern to match them.

  [ Jon Severinsson ]
  * Add mountkernfs.sh and mountall.sh to the list of services disabled
    in lxc containers.

 -- Daniel Baumann <daniel@debian.org>  Fri, 10 Aug 2012 23:08:14 +0200



=== debian/control ===
Source: live-debconfig
Section: misc
Priority: optional
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Uploaders: Daniel Baumann <daniel@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: http://live.debian.net/devel/live-debconfig/
Vcs-Browser: http://live.debian.net/gitweb/?p=live-debconfig.git
Vcs-Git: git://live.debian.net/git/live-debconfig.git

Package: live-debconfig
Architecture: all
Depends: ${misc:Depends}, debconf
Recommends: live-debconfig-doc
Description: Live System Configuration Scripts
 live-debconfig contains the scripts that configure a live system during the
 build process.

Package: live-debconfig-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Live System Configuration Scripts (documentation)
 live-debconfig contains the scripts that configure a live system during the
 build process.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_install:
	dh_auto_install -- DESTDIR=debian/tmp

	# Removing unused files
	rm -f debian/tmp/usr/share/doc/live-debconfig/COPYING

override_dh_builddeb:
	dh_builddeb -- -Zxz -z9

override_dh_install:
	dh_install --fail-missing --sourcedir=debian/tmp

## live-debconfig 4.0~a12

=== Makefile ===
--- 
+++ 
@@ -63,7 +63,7 @@
 
 	# Installing docs
 	mkdir -p $(DESTDIR)/usr/share/doc/live-debconfig
-	cp -r COPYING $(DESTDIR)/usr/share/doc/live-debconfig
+	cp -r COPYING examples $(DESTDIR)/usr/share/doc/live-debconfig
 
 	# Installing manpages
 	for MANPAGE in manpages/en/*; \

=== manpages/Makefile ===
# Makefile

## live-debconfig(7) - System Configuration Scripts
## Copyright (C) 2006-2012 Daniel Baumann <daniel@debian.org>
##
## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
## This is free software, and you are welcome to redistribute it
## under certain conditions; see COPYING for details.


SHELL := sh -e

LANGUAGES = $(shell cd po && ls)

all: build

po4a.cfg:
	echo "[po4a_langs] $(LANGUAGES)" > po4a.cfg
	echo "[po4a_paths] pot/\$$master.pot \$$lang:po/\$$lang/\$$master.po" >> po4a.cfg

	for MANPAGE in en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | sed -e 's|\.|\n|g' | tail -n1)"; \
		echo "[type: man] $${MANPAGE} \$$lang:\$$lang/$$(basename $${MANPAGE} .$${SECTION}).\$$lang.$${SECTION}" >> po4a.cfg; \
	done

update:
	./bin/update-version.sh

build: po4a.cfg
	@if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
	then \
		echo "E: po4a - command not found"; \
		echo "I: po4a can be optained from:"; \
		echo "I:   http://po4a.alioth.debian.org/"; \
		echo "I: On Debian based systems, po4a can be installed with:"; \
		echo "I:   apt-get install po4a"; \
		exit 1; \
	fi

	po4a --keep 0 --no-backups --package-name live-debconfig po4a.cfg

clean:
	rm -rf $(LANGUAGES)

distclean: clean
	rm -f po4a.cfg

rebuild: distclean update build

=== debian/changelog ===
live-debconfig (4.0~a12-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Adding simple script for ferm.
  * Stripping away commas after scripts have been multiselected.
  * Bailout early in ferm script if system has no ferm installed.
  * Renumbering scripts.
  * Prefixing all network related fields in ifupdown script with ipv4 in
    preparation for ipv6 support.
  * Adding script for passwd.
  * Renumbering scripts.
  * Updating branding in various cases to make it harmonize with the rest
    of the live packages.
  * Correcting spelling typo in bug script.
  * Extending passwd script to set the root password.
  * Extending passwd script to create a user account.
  * Adding support for multiple user creation at the same time in passwd
    script.
  * Adding live-debconfig-get-selections for easy output of the local
    debconf database.
  * Adding live-debconfig-set-selections for easy input into the local
    debconf database.
  * Adding references to live-debconfig-get-selections and live-debconfig-
    set-selections in live-debconfig manpage.

  [ chals ]
  * Updating Catalan translation of man pages.
  * Updating Spanish translation of man pages.
  * Updating French translation of man pages.

 -- Daniel Baumann <daniel@debian.org>  Sun, 23 Dec 2012 08:22:52 +0100

## live-debconfig 4.0~a13

=== debian/changelog ===
live-debconfig (4.0~a13-1) unstable; urgency=low

  * Updating year in all copyright notices.
  * Updating manpage year handling for 2013.
  * Removing check if the package is installed in the ferm script as there
    is apparently no good way of doing a two stage install (first unpack
    packages, second run maintainer scripts) within lxc-debconfig yet
    where we run live-debconfig before installing packages.
  * Cleaning up temporary file in ferm script.

 -- Daniel Baumann <daniel@debian.org>  Fri, 18 Jan 2013 12:21:32 +0100

## live-debconfig 4.0~a15

=== debian/changelog ===
live-debconfig (4.0~a15-1) unstable; urgency=low

  * Changing preseeding of script names such that the exact filename
    (consisting of full path, four-digit prefix, and name) doesn't have to
    be specified, but rather the name of the script only.
  * Avoiding double-empty lines as initial seperator in
    /etc/network/interfaces.
  * Using --user-group in passwd script for useradd by default.
  * Avoid failing in passwd if groups the user should be added to do not
    (yet) exist.
  * Avoid failing in passwd if gid for a group the user should be added to
    does not (yet) exist.

 -- Daniel Baumann <daniel@debian.org>  Fri, 18 Jan 2013 20:40:33 +0100

live-debconfig (4.0~a14-1) unstable; urgency=low

  * Removing some no longer needed grep calls to filter out templates from
    debconf scripts loops.
  * Correcting --nodebconfig parameter handling.
  * Correcting --debconfig parameter handling.
  * Also account for no script selection in multiselect dialog.

 -- Daniel Baumann <daniel@debian.org>  Fri, 18 Jan 2013 15:19:29 +0100

## live-debconfig 4.0~a16

=== debian/changelog ===
live-debconfig (4.0~a16-1) unstable; urgency=low

  * Dropping dpkg compression level.
  * Correcting spelling typos in changelog to make lintian happy.

 -- Daniel Baumann <daniel@debian.org>  Fri, 25 Jan 2013 13:24:03 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Package: live-debconfig
 Architecture: all
 Depends: ${misc:Depends}, debconf
-Recommends: live-debconfig-doc
+Recommends: live-debconfig-doc, debconf-utils
 Description: Live System Configuration Scripts
  live-debconfig contains the scripts that configure a live system during the
  build process.

## live-debconfig 4.0~a17

=== debian/changelog ===
live-debconfig (4.0~a17-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Correcting package description in example packaging.

  [ Tom Jampen ]
  * Correcting line break and indentation in example package copyright
    file.

  [ Daniel Baumann ]
  * Adding support for setting users login shell in passwd script.
  * Setting home by default also for multi-user creation.
  * Setting default shell automatically to bash.

 -- Daniel Baumann <daniel@debian.org>  Thu, 31 Jan 2013 09:13:02 +0100

## live-debconfig 4.0~a18

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile
 
 ## live-debconfig(7) - System Configuration Scripts
-## Copyright (C) 2006-2012 Daniel Baumann <daniel@debian.org>
+## Copyright (C) 2006-2013 Daniel Baumann <daniel@debian.org>
 ##
 ## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
 ## This is free software, and you are welcome to redistribute it

=== manpages/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile
 
 ## live-debconfig(7) - System Configuration Scripts
-## Copyright (C) 2006-2012 Daniel Baumann <daniel@debian.org>
+## Copyright (C) 2006-2013 Daniel Baumann <daniel@debian.org>
 ##
 ## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
 ## This is free software, and you are welcome to redistribute it

=== debian/changelog ===
live-debconfig (4.0~a18-1) unstable; urgency=low

  * Populating new getty entries in sysvinit script on progress-linux with
    the --no-hostname option.
  * Adding systemd script for lxc support (Closes: #604631).
  * Renumbering scripts.

 -- Daniel Baumann <daniel@debian.org>  Sat, 09 Feb 2013 00:44:27 +0100

## live-debconfig 4.0~a22

=== debian/changelog ===
live-debconfig (4.0~a22-1) unstable; urgency=low

  [ chals ]
  * Updating dates in the man pages.
  * Updating Catalan translation of man pages.
  * Updating French translation of man pages.
  * Updating Spanish translation of man pages.

  [ Daniel Baumann ]
  * Shortening comments about creating device nodes.
  * Starting with /dev/tty0 for systemd instead of tty1.
  * Removing existing symlinks for systemd tty service files.
  * Adding service handling for systemd containers.
  * Updating German manpage translations.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 19 Apr 2013 15:55:17 +0200

live-debconfig (4.0~a21-1) unstable; urgency=low

  * Debranding package for derivatives.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 01 Apr 2013 08:37:43 +0200

live-debconfig (4.0~a20-1) unstable; urgency=low

  * Removing all references to my old email address.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 22:30:28 +0100

live-debconfig (4.0~a19-1) unstable; urgency=low

  * Adding example preseed file.
  * Adding single local key for root and users.
  * Correcting spelling typos, thanks to Adam D. Barratt <adam@adam-
    barratt.org.uk>.
  * Adding multiple local keys for root and users.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 19:16:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: live-debconfig
 Section: misc
 Priority: optional
-Maintainer: Debian Live Project <debian-live@lists.debian.org>
-Uploaders: Daniel Baumann <daniel@debian.org>
+Maintainer: Live Systems Maintainers <debian-live@lists.debian.org>
+Uploaders: Daniel Baumann <mail@daniel-baumann.ch>
 Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.4
-Homepage: http://live.debian.net/devel/live-debconfig/
-Vcs-Browser: http://live.debian.net/gitweb/?p=live-debconfig.git
-Vcs-Git: git://live.debian.net/git/live-debconfig.git
+Homepage: http://live-systems.org/devel/live-debconfig/
+Vcs-Browser: http://live-systems.org/gitweb/?p=live-debconfig.git
+Vcs-Git: git://live-systems.org/git/live-debconfig.git
 
 Package: live-debconfig
 Architecture: all

## live-debconfig 4.0~a23

=== debian/changelog ===
live-debconfig (4.0~a23-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Adding procps script.
  * Adding files section to live-debconfig manpage.
  * Adding vm.swappiness in procfs script.

  [ Nik Lutz ]
  * Replacing 'systemctl disable' with 'systemctl mask' in the systemd
    script.

  [ Daniel Baumann ]
  * Adding a script do make dbus work inside a container running systemd,
    thanks to Nik Lutz <nik@netstyle.ch> for the initial work on this.

  [ Nik Lutz ]
  * Configure systemd-journald to work inside containers running systemd.
  * Adding rescue.target to the list of services to be disabled in systemd
    containers (minutes after boot systemd starts reporting on
    rescue.target failures).

  [ Daniel Baumann ]
  * Importing global preseed files from /var/lib/live/debconfig/preseed,
    if any.
  * Adding /var/lib/live/debconfig/preseed/ to files section in manpage.
  * Autogenerating preseed example file from debconf files.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 28 May 2013 14:32:56 +0200

## live-debconfig 4.0~a24

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile
 
 ## live-debconfig(7) - System Configuration Scripts
-## Copyright (C) 2006-2013 Daniel Baumann <daniel@debian.org>
+## Copyright (C) 2006-2013 Daniel Baumann <mail@daniel-baumann.ch>
 ##
 ## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
 ## This is free software, and you are welcome to redistribute it
@@ -44,7 +44,7 @@
 		echo " done."; \
 	else \
 		echo "W: checkbashisms - command not found"; \
-		echo "I: checkbashisms can be optained from: "; \
+		echo "I: checkbashisms can be obtained from: "; \
 		echo "I:   http://git.debian.org/?p=devscripts/devscripts.git"; \
 		echo "I: On Debian based systems, checkbashisms can be installed with:"; \
 		echo "I:   apt-get install devscripts"; \

=== manpages/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile
 
 ## live-debconfig(7) - System Configuration Scripts
-## Copyright (C) 2006-2013 Daniel Baumann <daniel@debian.org>
+## Copyright (C) 2006-2013 Daniel Baumann <mail@daniel-baumann.ch>
 ##
 ## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
 ## This is free software, and you are welcome to redistribute it
@@ -31,7 +31,7 @@
 	@if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
 	then \
 		echo "E: po4a - command not found"; \
-		echo "I: po4a can be optained from:"; \
+		echo "I: po4a can be obtained from:"; \
 		echo "I:   http://po4a.alioth.debian.org/"; \
 		echo "I: On Debian based systems, po4a can be installed with:"; \
 		echo "I:   apt-get install po4a"; \

=== debian/changelog ===
live-debconfig (4.0~a24-1) unstable; urgency=low

  * Correcting debconf field type for vm.swappiness in procps script.
  * Adding dummy noop in example script to pass testsuite.
  * Adding rsyslog script (Closes: #711170).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 05 Jun 2013 10:53:19 +0200

## live-debconfig 4.0~a25

=== manpages/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile
 
-## live-debconfig(7) - System Configuration Scripts
+## live-debconfig(7) - System Configuration Components
 ## Copyright (C) 2006-2013 Daniel Baumann <mail@daniel-baumann.ch>
 ##
 ## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.

=== debian/changelog ===
live-debconfig (4.0~a25-1) unstable; urgency=low

  * Reorganizing frontend in source tree.
  * Reorganizing components in source tree.
  * Updating example packaging.
  * Using component consistently when refering to live-debconfs executable
    parts.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 25 Jun 2013 11:31:15 +0200

=== debian/control ===
--- 
+++ 
@@ -13,16 +13,16 @@
 Architecture: all
 Depends: ${misc:Depends}, debconf
 Recommends: live-debconfig-doc, debconf-utils
-Description: Live System Configuration Scripts
- live-debconfig contains the scripts that configure a live system during the
+Description: Live System Configuration Components
+ live-debconfig contains the components that configure a live system during the
  build process.
 
 Package: live-debconfig-doc
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Description: Live System Configuration Scripts (documentation)
- live-debconfig contains the scripts that configure a live system during the
+Description: Live System Configuration Components (documentation)
+ live-debconfig contains the components that configure a live system during the
  build process.
  .
  This package contains the documentation.

## live-debconfig 4.0~alpha28

=== debian/changelog ===
live-debconfig (4.0~alpha28-1) unstable; urgency=low

  * Updating console numbering in systemd component to honor systems
    behaviour of starting to count consoles at 0, not at 1 like sysvinit.
  * Adding git component to checkout repositories.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 19 Sep 2013 20:24:35 +0200

live-debconfig (4.0~a27-1) unstable; urgency=low

  * Correcting wrong spelling of password in password component (Closes: #719471).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 12 Aug 2013 10:33:43 +0200

live-debconfig (4.0~a26-1) unstable; urgency=low

  * Renaming internal multiselect script to components.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 31 Jul 2013 14:25:13 +0200

## live-debconfig 4.0~alpha29

=== debian/changelog ===
live-debconfig (4.0~alpha29-1) unstable; urgency=low

  * Updating package descriptions.
  * Rewrapping control file.
  * Moving /selinux to /sys/fs/selinux to accomodate newer selinux in
    debian.
  * Updating to standards version 3.9.5.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 04 Nov 2013 07:57:46 +0100

## live-debconfig 4.0~alpha30

=== debian/changelog ===
live-debconfig (4.0~alpha30-1) unstable; urgency=low

  * Adding support for customizable components directory in
    /etc/live/debconfig.conf and /etc/live/debconfig/*.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 11 Nov 2013 16:10:28 +0100

## live-debconfig 4.0~alpha31

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile
 
-## live-debconfig(7) - System Configuration Scripts
+## live-debconfig(7) - System Configuration Components
 ## Copyright (C) 2006-2013 Daniel Baumann <mail@daniel-baumann.ch>
 ##
 ## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
@@ -12,7 +12,7 @@
 
 LANGUAGES = $(shell cd manpages/po && ls)
 
-SCRIPTS = bin/* scripts/*/*
+SCRIPTS = frontend/* comonents/*
 
 all: build
 
@@ -56,10 +56,10 @@
 install:
 	# Installing scripts
 	mkdir -p $(DESTDIR)/bin
-	cp bin/* $(DESTDIR)/bin
+	cp frontend/* $(DESTDIR)/bin
 
-	mkdir -p $(DESTDIR)/lib/live
-	cp -r scripts/* $(DESTDIR)/lib/live
+	mkdir -p $(DESTDIR)/lib/live/debconfig
+	cp -r components/* $(DESTDIR)/lib/live/debconfig
 
 	# Installing docs
 	mkdir -p $(DESTDIR)/usr/share/doc/live-debconfig

=== manpages/Makefile ===
--- 
+++ 
@@ -38,7 +38,7 @@
 		exit 1; \
 	fi
 
-	po4a --keep 0 --no-backups --package-name live-debconfig po4a.cfg
+	po4a --keep 0 --package-name live-debconfig po4a.cfg
 
 clean:
 	rm -rf $(LANGUAGES)

=== debian/changelog ===
live-debconfig (4.0~alpha31-1) unstable; urgency=low

  [ chals ]
  * Adding missing newlines in several strings of German live-
    debconfig_hostname manpages, thanks to victory
    <victory.deb@gmail.com>.
  * Updating dates in manpages.
  * Unfuzzying dates in the translation files of the manpages.
  * Removing obsolete flag '--no-backups' from po4a options.

  [ Daniel Baumann ]
  * Adding support for LXC in openssh-server component for openssh 6.2p2-2
    and newer.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 29 Nov 2013 13:58:43 +0100

=== debian/control ===
Source: live-debconfig
Section: misc
Priority: optional
Maintainer: Live Systems Maintainers <debian-live@lists.debian.org>
Uploaders: Daniel Baumann <mail@daniel-baumann.ch>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Homepage: http://live-systems.org/devel/live-debconfig/
Vcs-Browser: http://live-systems.org/gitweb/?p=live-debconfig.git
Vcs-Git: git://live-systems.org/git/live-debconfig.git

Package: live-debconfig
Architecture: all
Depends:
 ${misc:Depends},
 debconf,
Recommends:
 live-debconfig-doc,
 debconf-utils,
Description: Live System Configuration Components
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-debconfig contains the components to configure a live system during the
 build process.

Package: live-debconfig-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Live System Configuration Components (documentation)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-debconfig contains the components to configure a live system during the
 build process.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	rm -f debian/tmp/usr/share/doc/live-debconfig/COPYING
 
 override_dh_builddeb:
-	dh_builddeb -- -Zxz -z9
+	dh_builddeb -- -Zxz
 
 override_dh_install:
 	dh_install --fail-missing --sourcedir=debian/tmp

## live-debconfig 4.0~alpha35

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile
 
 ## live-debconfig(7) - System Configuration Components
-## Copyright (C) 2006-2013 Daniel Baumann <mail@daniel-baumann.ch>
+## Copyright (C) 2006-2014 Daniel Baumann <mail@daniel-baumann.ch>
 ##
 ## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
 ## This is free software, and you are welcome to redistribute it

=== manpages/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile
 
 ## live-debconfig(7) - System Configuration Components
-## Copyright (C) 2006-2013 Daniel Baumann <mail@daniel-baumann.ch>
+## Copyright (C) 2006-2014 Daniel Baumann <mail@daniel-baumann.ch>
 ##
 ## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
 ## This is free software, and you are welcome to redistribute it
@@ -27,7 +27,7 @@
 update:
 	./bin/update-version.sh
 
-build: po4a.cfg
+build: check po4a.cfg
 	@if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
 	then \
 		echo "E: po4a - command not found"; \
@@ -38,7 +38,7 @@
 		exit 1; \
 	fi
 
-	po4a --keep 0 --package-name live-debconfig po4a.cfg
+	po4a --keep 0 --package-name live-debconfig --package-version $(shell cat ../VERSION) po4a.cfg
 
 clean:
 	rm -rf $(LANGUAGES)
@@ -47,3 +47,19 @@
 	rm -f po4a.cfg
 
 rebuild: distclean update build
+
+check:
+	@echo -n "Checking the integrity of .po files "
+
+	@if [ -x /usr/bin/msgfmt ]; \
+	then \
+		for POFILE in po/*/*; \
+		do \
+			msgfmt --check --output-file=/dev/null $${POFILE}; \
+			echo -n "."; \
+		done; \
+	else \
+		echo "WARNING: skipping po integrity check. You must install gettext."; \
+	fi
+	
+	@echo " done!"

=== debian/changelog ===
live-debconfig (4.0~alpha35-1) unstable; urgency=low

  * Adding component to configure cron for LXC required for jessie.
  * Renumbering components.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 22 Jul 2014 11:23:21 +0200

live-debconfig (4.0~alpha34-1) unstable; urgency=low

  * Adding component to configure login for LXC required for jessie.
  * Also recreating ed25519 hostkeys in openssh-server component.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 22 Jul 2014 09:05:23 +0200

live-debconfig (4.0~alpha33-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Updating preseed file for 4.0~alpha32-1.

  [ Carlos Zuferri ]
  * Adding .po integrity check target to manpages/Makefile.
  * Adding '--package-version' to po4a options.

  [ Nik Lutz ]
  * Replacing 'systemctl mask' with 'ln -sf /dev/null' because newer
    versions of systemd (jessie/wheezy-backports) require systemd to be
    running to perform 'mask'.
  * Adding sys-fs-fuse-connections.mount to list of services to be
    disabled in a container running systemd.
  * Disable CapabilityBoundingSet for systemd-logind in containers running
    systemd else logind fails to start.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 18 Jul 2014 10:17:16 +0200

live-debconfig (4.0~alpha32-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Updating preseed example for 4.0~alpha31-1.
  * Updating copyright notices for 2014.

  [ chals ]
  * Using proper flying middle dot in the Catalan translation.
  * Updating dates in several manpages.

  [ Daniel Baumann ]
  * Building with dh --parallel.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 31 Mar 2014 22:10:54 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh ${@}
+	dh ${@} --parallel
 
 override_dh_auto_install:
 	dh_auto_install -- DESTDIR=debian/tmp
